--- old/usr/src/uts/common/fs/smbclnt/smbfs/smbfs_vfsops.c	Tue Aug 31 13:02:04 2010
+++ new/usr/src/uts/common/fs/smbclnt/smbfs/smbfs_vfsops.c	Tue Aug 31 13:02:03 2010
@@ -598,6 +598,10 @@
 	smi->smi_vfsp	= vfsp;
 	smbfs_zonelist_add(smi);	/* undo in smbfs_freevfs */
 
+	/* PSARC 2007/227 VFS Feature Registration */
+	vfs_set_feature(vfsp, VFSFT_XVATTR);
+	vfs_set_feature(vfsp, VFSFT_SYSATTR_VIEWS);
+
 	/*
 	 * Create the root vnode, which we need in unmount
 	 * for the call to smbfs_check_table(), etc.
